package jani.interaction.basic.messages

import jani.interaction.basic.Extension
import jani.interaction.basic.Metadata
import jani.interaction.basic.ParameterDefinition
import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
@SerialName("capabilities")
data class Capabilities(
    @SerialName("jani-version") val version: Int,
    val extensions: List<Extension>? = null,
    val metadata: Metadata,
    val parameters: List<ParameterDefinition>? = null,
    val roles: List<String>
) : JaniMessage() {

    init {
        assert(version >= 1)
    }
}
