package jani.interaction.tasks.analyse.messages

import jani.interaction.basic.Identifier
import jani.interaction.basic.JaniModelFeature
import jani.interaction.basic.JaniModelType
import jani.interaction.basic.Metadata
import jani.interaction.basic.ModellingFormalism
import jani.interaction.basic.ParameterDefinition
import jani.interaction.tasks.JaniTask
import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
@SerialName("analysis-engines")
class ReplyAnalysisEngines(
    override val id: Int,
    val engines: List<AnalysisEngine>
) : JaniTask() {

    init {
        assert(engines.isNotEmpty())
    }

    @Serializable
    data class AnalysisEngine(
        val id: Identifier,
        val metadata: Metadata,
        val parameters: List<ParameterDefinition>? = null,
        @SerialName("model-features") val modelFeatures: List<JaniModelFeature>? = null,
        @SerialName("model-types") val modelTypes: List<JaniModelType>? = null,
        @SerialName("modelling-formalisms") val modellingFormalisms: List<ModellingFormalism>? = null
    )
}
