package jani.model.models

import jani.model.Identifier
import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class Model(
    @SerialName("jani-version") val version: Int,
    val name: String,
    val metadata: Metadata?,
    val type: ModelType,
    val features: List<ModelFeature>?,
    val actions: List<Action>?

    // TODO more properties
) {

    @Serializable
    data class Action(
        val name: Identifier,
        val comment: String?
    ) {
        constructor(name: Identifier) : this(name, null)
        constructor(name: String) : this(Identifier(name), null)
        constructor(name: String, comment: String?) : this(Identifier(name), comment)
    }
}
