package org.gitlab.api.v4.tags

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

/**
 * The release information associated with a [Tag] as returned by the GitLab API v4.
 *
 * @author Konstantin Kopper
 * @since 2.1.0
 * @property tagName The name of the tag this release information is associated with.
 * @property description The release notes.
 */
@Serializable
data class Release(@SerialName("tag_name") val tagName: String, val description: String)
