package jani.model

import kotlinx.serialization.decodeFromString
import kotlinx.serialization.encodeToString
import kotlinx.serialization.json.Json
import org.junit.jupiter.api.Assertions.assertEquals
import org.junit.jupiter.api.DisplayName
import org.junit.jupiter.api.Test

@DisplayName("jani.model.Identifier serialization")
internal class IdentifierSerializationTest {

    @Test
    @DisplayName("Serialize identifier")
    fun testIdentifierSerialization() {
        val identifier = Identifier("Hans")
        val msg = Json.encodeToString(identifier)

        assertEquals("\"Hans\"", msg)
    }

    @Test
    @DisplayName("Deserialize identifier")
    fun testIdentifierDeserialization() {
        val msg = "\"Peter\""
        val identifier = Json.decodeFromString<Identifier>(msg)

        assertEquals("Peter", identifier.toString())
    }
}
